# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name derive

%global common_summary  Library to derive instances for data types

%global common_description Derive is a library and tool for deriving instances for Haskell programs.

Name:           ghc-%{pkg_name}
Version:        2.5.8
Release:        6%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches_with_ghci}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-uniplate-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%{_bindir}/%{pkg_name}


%changelog
* Fri Nov  2 2012 Jens Petersen <petersen@redhat.com> - 2.5.8-6
- use ghc_arches_with_ghci for template-haskell

* Sat Aug 11 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> -2.5.8-5
- rebuild for libffi

* Wed Jul 18 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 2.5.8-4
- rebuild

* Thu Jun 21 2012 Jens Petersen <petersen@redhat.com> - 2.5.8-3
- rebuild

* Mon Jun 18 2012 Jens Petersen <petersen@redhat.com> - 2.5.8-2
- move the derive program to the devel subpackage for now (#831038)

* Sun May  6 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 2.5.8-1
- spec file template generated by cabal2spec-0.25.5
- License is BSD
